文档章节

Windows下Hadoop编译注意事项

ianynchen
 ianynchen
发布于 2014/11/24 00:55
字数 114
阅读 23
收藏 0

Hadoop网站的文档号称VS2010、Windows SDK都可以编译,我的系统上有VS2008、VS2010、VS2012和Windows SDK,最初使用SDK编译有问题

首先遇到的问题,需要将protocol buffer加入系统路径,仅仅按照README里面的定义环境变量不够。

然后是使用SDK编译发生错误,无法生成sln文件,换成VS2010的环境,问题解决。

© 著作权归作者所有

共有 人打赏支持
ianynchen
粉丝 0
博文 1
码字总数 114
作品 0
海淀
私信 提问
实战 windows7 下 eclipse 远程调试 linux hadoop

恩,之所以有这篇博客,是因为最近又有童鞋咨询怎么在 windows 7 下用eclipse远程调试部署在linux下的hadoop,其实我自己不这么混搭的,既然有童鞋这么问了,那我就索性随着折腾一把了。 首先...

大数据之路
2013/04/15
0
13
Hadoop-2.7.2配置过程(CentOS7)

参考地址: http://www.powerxing.com/install-hadoop-in-centos/ 以上地址配置过程非常详细,包括伪分布式配置与伪分布式实例。 注意事项: 1、官网提供为32位环境下的tar包,需要64位下重新...

源子
2016/08/12
5
0
从零开始的 Win7 64Bit 编译Hadoop3

前言 最近在接触Hadoop方面的知识。去官网逛了一圈发现最新版本已经是3.0.0-alpha1了。刚好在搭建Hadoop的环境,就决定使用最新版本的Hadoop试试水。因为自己使用的机器是windows的,逛了一圈...

Alex_Nine
2016/11/02
474
0
windows下使用Eclipse运行MapReduce程序出错: Failed to set...

在windows下用Eclipse运行MapReduce程序会报错: 这个问题在网上很常见了, 搜下有很多, 原因和解决方案: 这个是Windows下文件权限问题,在Linux下可以正常运行,不存在这样的问题。 解决方法是...

lifephp
2013/09/01
0
0
编译hadoop2.x的hadoop-eclipse-plugin和配置

一、编译 1.安装jdk,并且配置好环境变量。 2.eclipse已经下载并且配置好了。 3.安装ant,并且配置好了环境变量。 4.hadoop包在windows本地已经有了,要和hadoop集群上的hadoop包一样,eclip...

cjun1990
2015/07/06
0
0

没有更多内容

加载失败,请刷新页面

加载更多

我的Linux系统九阴真经

我的Linux系统九阴真经 在今天,互联网的迅猛发展,科技技术也日新月异,各种编程技术也如雨后春笋一样,冒出尖来了。各种创业公司也百花齐放百家争鸣,特别是针对服务行业,新型互联网服务行...

linuxCool
42分钟前
11
0
Python程序员需要知道的30个技巧

1 直接交换两个数字位置 1x, y = 10, 202print(x, y)3x, y = y, x4print(x, y)5#1 (10, 20)6#2 (20, 10) 2 比较运算符的链接 1n = 102result = 1 < n < 203print(result)4# True5result = 1 ......

糖宝lsh
42分钟前
7
0
[LintCode] Linked List Cycle(带环链表)

描述 给定一个链表,判断它是否有环。 样例 给出 -21->10->4->5, tail connects to node index 1,返回 true。 这里解释下,题目的意思,在英文原题中,tail connects to node index 1 表示的...

honeymose
53分钟前
8
0
Android :报错Your project path contains non-ASCII characters.

报错内容如下 Your project path contains non-ASCII characters. This will most likely cause the build to fail on Windows. Please move your project to a different directory. See ht......

lanyu96
今天
7
0
Nginx平滑添加模块

Nginx已经编译安装并运行了一段时间, 然后某一天, 发现需要用到某个模块但当初没有编译, 这个时候怎么办呢? 卸载重新安装肯定可以的, 如果Nginx版本没有变更的话, 则有一个相对平滑的方法来添...

老菜鸟0217
今天
10
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部